[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TEventTypes

Set of TEventType

## Declaration

Source position: osutilsh.inc line 63

`type TEventTypes = set of (`
`etCustom,` |  | Custom log event, with application-specific meaning
`etInfo,` |  | General information event message
`etWarning,` |  | Warning message
`etError,` |  | Error condition message
`etDebug` |  | Debug message.
`);`

## Description

TEventTypes is a set type of TEventType, defined for convenience. It is used in the custom application classes for logging purposes.

## See also

TEventType |  | Log event type